const URL = "/one-api/mockup/mutasi/";

export async function search(params) {
    try {
        var resp = await axios.post(URL + 'ReceiveMutasi/search', params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        let data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        };
    }
}

export async function getCategory(params) {
    try {
        var resp = await axios.post(URL + 'ReceiveMutasi/getCategory', params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        let data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        };
    }
}

export async function getBranchAsal(params) {
    try {
        var resp = await axios.post(URL + 'ReceiveMutasi/getBranchAsal', params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        let data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        };
    }
}

export async function getBranchTujuan(params) {
    try {
        var resp = await axios.post(URL + 'ReceiveMutasi/getBranchTujuan', params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        let data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        };
    }
}

export async function getItemDetail(params) {
    try {
        var resp = await axios.post(URL + 'ReceiveMutasi/getItemDetail', params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        let data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        };
    }
}

export async function getWarehouse(params) {
    try {
        var resp = await axios.post(URL + 'ReceiveMutasi/getWarehouse', params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        let data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        };
    }
}

export async function getRuangan(params) {
    try {
        var resp = await axios.post(URL + 'ReceiveMutasi/getRuangan', params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        let data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        };
    }
}

export async function receive(params) {
    try {
        var resp = await axios.post(URL + 'ReceiveMutasi/receive', params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        let data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        };
    }
}

export async function getBarcodes(params) {
    try {
        var resp = await axios.post(URL + 'ReceiveMutasi/getBarcodes', params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        let data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        };
    }
}